Bug 20080 - tcltk.spec installs some Itcl files in %{_prefix} instead of RPM_BUILD_ROOT%{_prefix}
Summary: tcltk.spec installs some Itcl files in %{_prefix} instead of RPM_BUILD_ROOT%{...
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Raw Hide
Classification: Retired
Component: tcltk   
(Show other bugs)
Version: 1.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jens Petersen
QA Contact: Aaron Brown
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-10-31 03:16 UTC by jens.koerber
Modified: 2007-04-18 16:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-11-15 13:31:39 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description jens.koerber 2000-10-31 03:16:05 UTC
Fix:

#------------------------------------------
# Itcl
#
make INSTALL_ROOT=${RPM_BUILD_ROOT} INSTALL="install -c" \
      exec_prefix=%{_prefix} \
           bindir=$RPM_BUILD_ROOT%{_bindir} \
           libdir=$RPM_BUILD_ROOT%{_libdir} \
           mandir=$RPM_BUILD_ROOT%{_mandir} \
          infodir=$RPM_BUILD_ROOT%{_infodir} \
       includedir=$RPM_BUILD_ROOT%{_prefix}/include \
    MKINSTALLDIRS="mkdir -p" install -C itcl%{itclvers}

Comment 1 Jeff Johnson 2000-11-02 16:32:29 UTC
There are two empty directories not installed correctly:
	/usr/lib/itcl3.2
	/usr/lib/itk3.2
Fixed in tcltk-8.3.2-48.


Comment 2 jens.koerber 2000-11-15 13:31:36 UTC
hmmm, another one (sorry... forgot that) .. it's itk/itcl version 3.2 NOT
3.1 in

ln -sf libitk3.1.so ${RPM_BUILD_ROOT}%{_libdir}/libitk.so
ln -sf libitcl3.1.so ${RPM_BUILD_ROOT}%{_libdir}/libitcl.so

fix

ln -sf libitk%{itclvers}.so ${RPM_BUILD_ROOT}%{_libdir}/libitk.so
ln -sf libitcl%{itclvers}.so ${RPM_BUILD_ROOT}%{_libdir}/libitcl.so

Comment 3 Jeff Johnson 2001-01-06 11:44:08 UTC
Yup, itcl/itk libraries were not installed correctly. Fixed (again) in
tcltk-8.3.2-50. Thanks
for reopening the bug.


Note You need to log in before you can comment on or make changes to this bug.